<p>history-records works!</p>

<table>    
    <tr> 
    <th>Id</th>
    <th>Surname of user</th>
    <th>Used item id</th>
    <th>Year of start</th>
    <th>Year of end</th>
</tr>

<tr *ngFor="let record of historyRecords">
    <td>{{record.id}}</td>
    <td>{{record.surnameOfUser}}</td>
    <td>{{record.usedItemId}}</td>
    <td>{{record.yearOfStart}}</td>
    <td>{{record.yearOfEnd}}</td>
</tr>
</table>

<form #itemsForm="ngForm">
    <input type="text" name="id" placeholder="Id" ngModel>
    <br>
    <input type="text" name="surnameOfUser" placeholder="surnameOfUser" ngModel>
    <br>
    <input type="text" name="usedItemId" placeholder="usedItemId" ngModel>
    <br>
    <input type="text" name="yearOfStart" placeholder="yearOfStart" ngModel>
    <br>
    <input type="text" name="yearOfEnd" placeholder="yearOfEnd" ngModel>
    <br>
</form>

<button (click)="add(itemsForm.value)">Add item</button>
<br>
<button (click)="edit(itemsForm.value)">Edit item</button>
<br>
<button (click)="delete(itemsForm.value)">Delete item</button>
<br>